/* http://meyerweb.com/eric/tools/css/reset/ 
   v2.0 | 20110126
   License: none (public domain)
*/

html,
body,
div,
span,
applet,
object,
iframe,
h1,
h2,
h3,
h4,
h5,
h6,
p,
blockquote,
pre,
a,
abbr,
acronym,
address,
big,
cite,
code,
del,
dfn,
em,
img,
ins,
kbd,
q,
s,
samp,
small,
strike,
strong,
sub,
sup,
tt,
var,
b,
u,
i,
center,
dl,
dt,
dd,
ol,
ul,
li,
fieldset,
form,
label,
legend,
table,
caption,
tbody,
tfoot,
thead,
tr,
th,
td,
article,
aside,
canvas,
details,
embed,
figure,
figcaption,
footer,
header,
hgroup,
menu,
nav,
output,
ruby,
section,
summary,
time,
mark,
audio,
video {
  margin: 0;
  padding: 0;
  border: 0;
  font-size: 100%;
  font: inherit;
  vertical-align: baseline;
}
/* HTML5 display-role reset for older browsers */
article,
aside,
details,
figcaption,
figure,
footer,
header,
hgroup,
menu,
nav,
section {
  display: block;
}
body {
  line-height: 1;
}
ol,
ul {
  list-style: none;
}
blockquote,
q {
  quotes: none;
}
blockquote:before,
blockquote:after,
q:before,
q:after {
  content: "";
  content: none;
}
table {
  border-collapse: collapse;
  border-spacing: 0;
}

/* End Reset */

* {
  box-sizing: border-box;
  line-height: 1.5;

  /** Debugging **/
  /* border: 1px solid red; */
}

/****************************************************
 * Begin Custom Styles
 ****************************************************/


 /**
  * Fonts
  */
  .manrope-400 {
    font-family: "Manrope", sans-serif;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
  }

  .manrope-600 {
    font-family: "Manrope", sans-serif;
    font-optical-sizing: auto;
    font-weight: 600;
    font-style: normal;
  }

/***
  * Animations
  */

@keyframes fadeIn {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}

@keyframes fadeIn_halfOpacity {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 0.5;
  }
}

.fade-in {
  animation: fadeIn 1s ease-in-out;
}

.fade-in-fast {
  animation: fadeIn 0.25s ease-in-out;
}

.fade-in-half-opacity {
  animation: fadeIn_halfOpacity 1s ease-in-out;
}

html {
  height: 100%;
  width: 100%;
  line-height: 1.5;
}

body {
  font-family: "Manrope", sans-serif;
  width: 100%;
  height: 100%;
  padding: 1rem;
}
/* Flex Styles */
.flex {
  display: flex;
}

.column {
  flex-direction: column;
}

.flex-gap {
  gap: 1rem;
}

.flex-gap-smaller {
  gap: 0.5rem;
}

.flex-wrap {
  flex-wrap: wrap;
}

.no-wrap {
  flex-wrap: nowrap;
  text-wrap: nowrap;
}

/* Visualization Container */

#frame {
  width: 100%;
  height: 70%;
  padding: 1rem;
}

#netprov-engine-container {
  position: relative;
  display: flex;
  flex-direction: column;
  gap: 1rem;
  width: 100%;
  height: 100%;
  font-family: "Manrope", sans-serif;
  font-size: 1rem;
  /* margin: 1rem; */
  /* padding: 1rem; */
}

#chart {
  /* margin: 2rem; */
  position: relative;
  padding: 1rem;
  background-color: white;
  width: 100%;
}

#chart {
  /* border: 1px solid red; */
}

#chart svg {
  /* border: 1px solid red; */
}


/* Title */
/* logo */
#logo {
  position: absolute;
  right: 1rem;
  top: 1rem;
  width: 50px;
  border-radius: 3px;
  height: auto;
}

#title-data {
  left: 2rem;
  font-family: "Manrope", sans-serif;
  font-size: 1.5rem;
  font-weight: 500;
  align-items: center;
  display: grid;
  margin-right: 66px;
}

/* Dots */

:root {
	--slide-distance: 20px;
  --percent: 0.5;
}

@keyframes slideLeft {
  0% {
    transform: translateX(0);
  }
  100% {
    transform: translateX(-20px);
  }
}

@keyframes slideRight {
  0% {
    transform: translateX(0);
  }
  100% {
    transform: translateX(20px);
  }
}

.dot {
  transition: width 0.3s ease, height 0.3s ease;
  transition: transform 0.3s ease;
  stroke: #0BB4FF;
  /* opacity: 0.25; */
  /* border: 1px solid steelblue; */
  fill: #0bb6ff4a;
  border-radius: 5px;
  transform: scale(1);
}

.dot:hover {
  transition: fill .4s ease;
  fill: #E6D800;
}


.slide-left {
  animation: slideLeft 0.7s ease-in;
  transform: translateX(-20px);
}

.slide-right {
  animation: slideRight 0.7s ease;
  transform: translateX(20px);
}

.dot.colorset-0.active {
  fill: #e6004976;
  stroke: #E60049;

}

.dot.colorset-1.active {
  fill: #dc0ab685;
  stroke: #DC0AB4;
}

.dot.colorset-2.active {
  fill: #ffa200a1;
  stroke:#FFA300; 
}

.dot.colorset-3.active {
  fill: #00b799ab;
  stroke: #00BFA0;
}

.dot.active {
  fill: #9919f57b;
  stroke: #9B19F5;
  transform: translate(0, -10px);
}

/* Data Display */

#data-display {
  position: absolute;
  right: 1rem;
  top: 1rem;
  margin-top: 1rem;
  /* background-color: steelblue; */
  color: white;
  border-radius: 5px;
  /* padding: 1rem; */
  /* margin: 1rem; */
  display: flex;
  flex-direction: column;
  gap: 1rem;
  width: 250px;

  scrollbar-width: none;
  /* pointer-events: none; */
}

#data-display h2 {
  font-size: 1rem;
  font-weight: 100;
  color: rgba(0, 0, 0, 0.557);
}

#data-display p {
  font-size: 1rem;
  font-weight: 100;
  color: rgb(39, 39, 39);
  /* margin: 0rem 1rem 1rem 0rem; */
}

#data-display::-webkit-scrollbar {
  display: none;
}

/* Progress Bar */

#progress-bar {
  position: absolute;
  top: 0;
  /* bottom: 0; */
  left: 0;
  width: 0%;
  height: 10px;
  background-color: #00BFA0;
  border-radius: 5px 5px 5px 0;
  /* margin: .25rem; */
}


/* Axis */

.axis line {
  stroke: #ddd;
}

.y-axis {
  font-size: 16px;
  font-family: "Manrope", sans-serif;
  pointer-events: none;
}

.y-axis g text{
  font-family: "Manrope", sans-serif;
  font-weight: 100;
  font-size: 1rem;
}


#y-axis-label {
  font-family: "Manrope", sans-serif;
  font-weight: 100;
  font-size: 1rem;
  /* position: absolute;
  left: 0;
  bottom: 0; */
}

#chart-title {
  font-family: "Manrope", sans-serif;
  font-weight: 400;
  font-size: 1.25rem;
  margin-bottom: .5rem;
  /* margin-left: auto; */
}


.x-axis g text{
  font-family: "Manrope", sans-serif;
  font-weight: 100;
  font-size: 1rem;

}


/* title and metadate */

#chart-title {
  font-size: 2rem;
  font-weight: 900;
} 

#meta-data-container {
  display: flex;
  gap: 1rem;
  font-family: "Manrope", sans-serif;
  font-size: 1rem;
  font-weight: 100;
  color: rgba(0, 0, 0, 0.557);
}

#meta-data-container text{
  margin-top: auto;
  margin-bottom: auto;
}

.divider {
  width: .25rem;
  height: .25rem;
  background-color: rgba(0, 0, 0, 0.35);
  margin: auto 0;
}

.hidden-in-mobile {
  visibility: hidden;

}

/****************************************************
 *
 * Buttons  
 *
 ****************************************************/

 button {
  color: black;
  background-color: #d4d5d5ab;
 }

 button:hover {
  background-color: #d4d5d5;
 }

/* Headers */

#header-container {
  gap: 2rem;
  padding: 1rem 0;
}

#chapter-header-container {
}

#chapter-headers {
  overflow: auto;
  font-family: "Manrope", sans-serif;
}

.chapter-header {
  padding: .25rem 1rem;
  padding-top: 7px;
  font-family: "Manrope", sans-serif;
  text-wrap: nowrap;
  /* font-size: 1.25rem; */
  font-weight: 500;
  border: none;
  border-radius: 5px;
  line-height: 1.5;
}


#chapter-header-label {
  /* font-size: 1.25rem; */
  font-weight: 900;
}

.chapter-header text {
  margin: 0;
  padding-top: 30px;
}

.chapter-header.active {
  /* background-color: #dc0ab65f; */
}

.chapter-header.active.colorset-0 {
  background-color: #50e9909e;
}

.chapter-header.active.colorset-1 {
  /* background-color: #FFA300; */
  background-color: #ffa2009f;
}

.chapter-header.active.colorset-2 {
  background-color: #b3d4ffc1;
  opacity: 100%;
}

.chapter-header.active.colorset-3 {
  background-color: #dc0ab65f;

}

#chapter-subheaders {
  flex-wrap: wrap;
  font-family: "Manrope", sans-serif;
}

#chapter-subheader-container {
  flex-wrap: wrap;
}

#beat-subheader-label {
  /* font-size: 1.25rem; */
  font-weight: 900;
}


.beat-subheader {
  border: none;
  padding: .25rem 1rem;
  padding-top: 7px;
  font-family: "Manrope", sans-serif;
  text-wrap: nowrap;
  border: none;
  line-height: 1.5;
  border-radius: 5px;
}

.beat-subheader.active.colorset-0 {
  /* background-color: #dc0ab65f; */
  background-color: #50e9909e;
}

.beat-subheader.active.colorset-1 {
  /* background-color: #FFA300; */
  background-color: #ffa2009f;
}

.beat-subheader.active.colorset-2 {
  background-color: #b3d4ffc1;
}

.beat-subheader.active.colorset-3 {
  background-color: #dc0ab65f;
}

/****************************************************
 *
 * Post Styles
 *
 ****************************************************/

 

 /* Post Component Container*/
.post-component {
  display: flex;
  gap: 1rem;
  padding: 1.625rem 1rem 1rem 1rem;
  /* margin: 1rem; */
  width: 100%;
  background-color: rgba(255, 255, 255, 0.967);
  border: 1px solid #0BB4FF;
  border-radius: 5px;
  overflow: auto;
  scrollbar-width: none;
  cursor: move;
}

.post-component img {
  width: 20px;
  height: auto;
  border-radius: 5px;
}

.post-column {
  flex-wrap: wrap;

}

.post-content {
  overflow: auto;
  scrollbar-width: none;
}

.post-content::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  height: 10px;
  /* border: 1px solid #00bf9f37; */
  background-color: #00bf9f22;
  box-sizing: border-box;
  border-radius: 5px 5px 0 0;
}

/* exit button styling */
.post-closer {
  margin-left: auto;
  transform: translateY(-25%);
  display: none;
}


/****************************************************
 *
 *  Player Controls
 *
 ****************************************************/

#player-container {
  gap: 1rem;
  padding: 1rem;
  background-color: rgba(215, 215, 215, 0.95);
  border: 1px solid steelblue;
  border-radius: 5px;
  margin-left: auto;
}

.player-button {
  width: 40px;
  height: 40px;
  /* border: 1px solid steelblue; */
  border: none;
  border-radius: 5px;
  transition: all 0.3s ease;
}

.player-button:hover {
  border: 1px solid rgba(70, 131, 180, 0.548);
  box-shadow: inset 0 0 5px rgba(70, 131, 180, 0.723);
}

#play-button {
  background: url("./icons/play.png") center no-repeat;
  background-size: 80%;
}

#play-button.playing {
  background: url("./icons/pause.png") center no-repeat;
  background-size: 80%;
}

#next-button {
  background: url("./icons/previous.png") center no-repeat;
  transform: scaleX(-1); /* flip the icon */
  background-size: 80%;
}

#back-button {
  background: url("./icons/previous.png") center no-repeat;
  background-size: 80%;
}

#reset-button {
  background: url("./icons/next.png") center no-repeat;
  transform: scaleX(-1); /* flip the icon */
  background-size: 80%;
}

.date-dot {
  width: 3px;
  height: 3px;
  background-color: steelblue;
  margin-top: auto;
  margin-bottom: auto;
}

/****************************************************
 *
 *  About
 *
 ****************************************************/

 .overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(128, 128, 128, 0.73);
  z-index: 100;
  display: flex;
  justify-content: center;
 }

 #about-button {
    border: none;
    border-radius: 3px;
    padding: .5rem .75rem;
 }

 #help-button {
    border: none;
    border-radius: 3px;
    padding: .5rem .75rem;
 }

 #about-modal {
  margin: 4rem 2rem;
  padding: 2rem;
  background-color: white;
  z-index: 200;
  border-radius: 5px;
  max-height: 500px;
  overflow: auto;
  line-height: 1.5;
 }

 #about-modal h3 {
    font-size: 1.25rem;
    font-weight: 900;
 }

 #about-modal p {
    font-size: 1rem;
    font-weight: 100;
 }

 .about-modal-img {
    height: auto;
    border-radius: 5px;
    margin: 1rem;

 }

 .rob-signature {
  display: block;
    height: auto;
    margin-top: 1rem;
 
 }

 #close-about {
  margin-left: auto;
  border: none;
  padding: .25rem .5rem;
  border-radius: 3px;
 }




/* highlights */

.highlight {
  /* fill: #DC0AB4; */
  border-radius: 5px;
  opacity: 50%;
}

.highlight.colorset-0 {
  fill: #50E991;
}

.highlight.colorset-1 {
  fill: #FFA300;
  opacity: 100%;
}

.highlight.colorset-2 {
  fill: #B3D4FF;
  opacity: 100%;

}


.chapter-subheader-highlight.colorset-1 {
  stroke: #FFA300;
}

.chapter-subheader-highlight.colorset-2 {
  stroke: #b3d4ff;
}

.highlight.colorset-3 {
  fill: #DC0AB4;
}

.chapter-subheader-highlight.colorset-3 {
  fill: #DC0AB4;
  stroke: #DC0AB4;
}

/****************************************************
 *
 *  Lines
 *
 ****************************************************/

 .line {
  stroke: #9B19F5;
  stroke-width: 1px;
 }

 .line.colorset-0 {
  stroke:#e600499d;

 }

 .line.colorset-1 {
  stroke: #DC0AB4;

 }

 .line.colorset-2 {
  stroke: #FFA300;
 }

 .line.colorset-3 {
  stroke: #00BFA0;
 }

 #user-aligners {

 }
 /****************************************************
  *
  *  Media Queries
  *
  ****************************************************/
 
 
 @media (min-width: 525px) {
   .hidden-in-mobile {
	 visibility: visible;
   } 
 }
 
 @media (min-width: 600px) {

  body {
    padding: 2rem;
  }
 

   #data-display {
    width: 400px;
   }

   .post-component {
    width: 100%;
   }

   #header-container {
    padding: 2rem 0;
   }
 
   .chapter-header {
	 padding: .5rem 1rem;
	 padding-top: 10px;
	 /* font-size: 1.5rem; */
   }
 
   .beat-subheader {
	 padding: .5rem 1rem;
	 padding-top: 10px;
	 /* font-size: 1.25rem; */
   }

   #about-modal {
    width: 600px;
   }

   #logo {
    width: 75px;
    top: 2rem;
    right: 2rem;
   }

    #title-data {
      font-size: 2rem;
      margin-right: 100px;
    }
 }
 